%define contentdir /var/www

%define real_name php

%define _libdir64 %{_prefix}/lib64

Summary: The PHP HTML-embedded scripting language
Name: php_64
Version: 5.5.2
Release: 1
License: The PHP License v3.01
Group: Development/Languages
URL: http://www.php.net/

Source0: http://www.php.net/distributions/%{real_name}-%{version}.tar.bz2
Source1: %{name}.conf
Source2: %{real_name}.ini
Source3: %{real_name}-fpm.aix.init
Source4: %{real_name}-fpm.conf
Source5: %{real_name}-fpm-www.conf
Source6: %{real_name}-fpm.logrotate
Source7: %{real_name}-fpm.sysconfig

Patch0: %{real_name}-%{version}-aix.patch
# patch based on https://bugs.php.net/patch-display.php?bug_id=51772&patch=ppc-support&revision=latest
Patch1: %{real_name}-%{version}-fpm-aix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make

BuildRequires: bzip2 >= 1.0.2-4
BuildRequires: curl-devel >= 7.19.7
BuildRequires: gd-devel >= 2.0.35
BuildRequires: httpd-devel >= 2.2.15-1
BuildRequires: httpd-devel < 2.3
BuildRequires: libiconv >= 1.14-2
BuildRequires: libmcrypt-devel >= 2.5.8-2
BuildRequires: libtool-ltdl-devel >= 1.5.26-1
BuildRequires: libxml2-devel >= 2.7.8-3
BuildRequires: libXpm-devel >= 3.5.7
BuildRequires: openssl-devel >= 1.0.1
BuildRequires: openldap-devel >= 2.4.23
BuildRequires: pcre-devel >= 7.9-2
BuildRequires: t1lib-devel >= 5.1.2-1
BuildRequires: zlib-devel >= 1.2.3-3

%description
Dummy description to satisfy RPM.


%package -n mod_php_ap22_64
Summary: The PHP HTML-embedded scripting language module for Apache V2.2.X (64-bit)
Group: Development/Languages
Requires: %{name}-common = %{version}-%{release}
Requires: bzip2 >= 1.0.2-4
Requires: curl >= 7.19.7-1
Requires: gd >= 2.0.35
Requires: httpd >= 2.2.15-1
Requires: httpd < 2.3
Requires: libiconv >= 1.14-2
Requires: libmcrypt >= 2.5.8-2
Requires: libtool-ltdl >= 1.5.26-1
Requires: libxml2 >= 2.7.8-3
Requires: libXpm >= 3.5.7
Requires: openldap >= 2.4.23
Requires: openssl >= 1.0.1
Requires: pcre >= 7.9-2
Requires: t1lib >= 5.1.2-1
Requires: zlib >= 1.2.3-3

Provides: mod_php_ap22
Provides: mod_php = %{version}-%{release}
Provides: php = %{version}-%{release}

%description -n mod_php_ap22_64
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts.

The mod_php_ap22 package contains the module which adds support for the PHP
language to Apache HTTP Server V2.2.X.


%package cli
Group: Development/Languages
Summary: Command-line interface for PHP

Requires: %{name}-common = %{version}-%{release}
Requires: bzip2 >= 1.0.2-4
Requires: curl >= 7.19.7-1
Requires: gd >= 2.0.35
Requires: libiconv >= 1.14-2
Requires: libmcrypt >= 2.5.8-2
Requires: libtool-ltdl >= 1.5.26-1
Requires: libxml2 >= 2.7.8-3
Requires: libXpm >= 3.5.7
Requires: openldap >= 2.4.23
Requires: openssl >= 1.0.1
Requires: pcre >= 7.9-2
Requires: t1lib >= 5.1.2-1
Requires: zlib >= 1.2.3-3

Provides: %{real_name}-cli
Provides: %{name}-cgi = %{version}-%{release}

%description cli
The php-cli package contains the command-line interface 
executing PHP scripts, %{_bindir}/php, and the CGI interface.


%package fpm
Group: Development/Languages
Summary: PHP FastCGI Process Manager
# All files licensed under PHP version 3.01, except
# Zend is licensed under Zend
# TSRM and fpm are licensed under BSD
License: PHP and Zend and BSD
Requires: %{name}-common = %{version}-%{release}
Requires: bzip2 >= 1.0.2-4
Requires: curl >= 7.19.7-1
Requires: gd >= 2.0.35
Requires: libiconv >= 1.14-2
Requires: libmcrypt >= 2.5.8-2
Requires: libtool-ltdl >= 1.5.26-1
Requires: libxml2 >= 2.7.8-3
Requires: libXpm >= 3.5.7
Requires: openldap >= 2.4.23
Requires: openssl >= 1.0.1
Requires: pcre >= 7.9-2
Requires: t1lib >= 5.1.2-1
Requires: zlib >= 1.2.3-3
Provides: %{real_name}-fpm

%description fpm
PHP-FPM (FastCGI Process Manager) is an alternative PHP FastCGI
implementation with some additional features useful for sites of
any size, especially busier sites.


%package common
Group: Development/Languages
Summary: Common files for PHP
Provides: %{real_name}-common

%description common
The php-common package contains files used by both the php
package and the php-cli package.


%package devel
Group: Development/Libraries
Summary: Files needed for building PHP extensions
Requires: bzip2 >= 1.0.2-4
Requires: curl-devel >= 7.19.7
Requires: gd-devel >= 2.0.35
Requires: httpd-devel
Requires: libiconv >= 1.14-2
Requires: libmcrypt-devel >= 2.5.8-2
Requires: libtool-ltdl-devel >= 1.5.26-1
Requires: libxml2-devel >= 2.7.8-3
Requires: libXpm-devel >= 3.5.7
Requires: openldap-devel >= 2.4.23
Requires: openssl-devel >= 1.0.1
Requires: pcre-devel >= 7.9-2
Requires: t1lib-devel >= 5.1.2-1
Requires: zlib-devel >= 1.2.3-3
Provides: %{real_name}-devel

%description devel
The php-devel package contains the files needed for building PHP
extensions. If you need to compile your own PHP extensions, you will
need to install this package.


%prep
%setup -q -n %{real_name}-%{version}
%patch0
%patch1


%build
export OBJECT_MODE=64

export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

export CC="xlc_r"

# install extension modules in %{_libdir64}/php/modules.
export EXTENSION_DIR=%{_libdir64}/php/modules

export EXTRA_LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib"
export EXTRA_LDFLAGS_PROGRAM="-L/opt/freeware/lib64 -L/opt/freeware/lib"
export PHP_LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib"

# shell function to configure and build a PHP tree
buildphp() {
ln -sf ../configure
./configure \
    --cache-file=../config.cache \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --mandir=%{_mandir} \
    --with-config-file-path=%{_sysconfdir} \
    --with-config-file-scan-dir=%{_sysconfdir}/php.d \
    --disable-debug \
    --enable-shared --enable-static \
    --without-pear \
    --with-gd \
    --with-openssl=%{_prefix} \
    --with-zlib \
    --with-bz2 \
    --with-curl=%{_prefix} \
    --with-t1lib=%{_prefix} \
    --with-freetype-dir=%{_prefix} \
    --with-jpeg-dir=%{_prefix} \
    --with-ldap=%{_prefix} \
    --with-png-dir=%{_prefix} \
    --with-xpm-dir=%{_prefix} \
    --with-zlib-dir=%{_prefix} \
    --enable-zip \
    --enable-soap \
    --enable-bcmath \
    --enable-ftp \
    --enable-sockets \
    --with-iconv \
    --with-iconv-dir=%{_prefix} \
    --enable-mbstring \
    --with-mcrypt=%{_prefix} \
    --with-mysqli=mysqlnd \
    --enable-dom \
    --enable-json \
    --with-pcre-regex=%{_prefix} \
    $*
# required since PHP V5.4.0, check out https://bugs.php.net/bug.php?id=61751
cat Makefile | \
    sed 's|PHP_CLI_OBJS =|PHP_CLI_OBJS = $(PHP_BINARY_OBJS) |g' | \
    sed 's|PHP_CGI_OBJS =|PHP_CGI_OBJS = main/internal_functions.lo |g' \
    > Makefile.tmp
mv -f Makefile.tmp Makefile
gmake %{?_smp_mflags}
}


# build the command line and the CGI version of PHP
mkdir build-cgi
cd build-cgi
buildphp
cd ..


# build the fpm SAPI version of PHP
mkdir build-fpm
cd build-fpm
buildphp \
    --enable-fpm \
    --with-fpm-user=apache \
    --with-fpm-group=apache \
    --without-mysql \
    --disable-pdo
cd ..


# build the Apache module thread-safe
mkdir build-apache
cd build-apache
# for Apache 2.2.X: --with-apxs2=%{_sbindir}/apxs
# for Apache 2.4.X: --with-apxs2=%{_bindir}/apxs
buildphp \
    --with-apxs2=%{_sbindir}/apxs \
    --enable-maintainer-zts
cd ..


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64

# unfortunately 'make install-sapi' does not seem to work for use, therefore
# we have to install the targets separately
cd build-cgi
for TARGET in install-cli install-build install-headers install-programs ; do
    gmake INSTALL_ROOT=${RPM_BUILD_ROOT} ${TARGET}
done

# install the php-cgi binary
cp sapi/cgi/php-cgi ${RPM_BUILD_ROOT}%{_bindir}
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/php-cgi

# install the php-fpm binary
cd ../build-fpm
gmake INSTALL_ROOT=${RPM_BUILD_ROOT} install

# install the DSO
cd ../build-apache
mkdir -p ${RPM_BUILD_ROOT}%{_libdir64}/httpd/modules
chmod 755 ${RPM_BUILD_ROOT}%{_libdir64}/httpd/modules
cp .libs/libphp5.so ${RPM_BUILD_ROOT}%{_libdir64}/httpd/modules
chmod 755 ${RPM_BUILD_ROOT}%{_libdir64}/httpd/modules/libphp5.so
cd ..

# strip binaries
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/php
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/php-cgi
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/php-fpm
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir64}/httpd/modules/libphp5.so

# install the Apache httpd config file for PHP
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
chmod 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-php.conf
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-php.conf

# install the default configuration file and directories
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.ini
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d

# create the PHP extension modules directory
mkdir -p ${RPM_BUILD_ROOT}%{_libdir64}/php/modules

# install the default icons
mkdir -p ${RPM_BUILD_ROOT}%{contentdir}/icons
chmod 755 ${RPM_BUILD_ROOT}%{contentdir}/icons
cp php.gif ${RPM_BUILD_ROOT}%{contentdir}/icons

# for third-party packaging:
mkdir -p ${RPM_BUILD_ROOT}%{_libdir64}/php/pear
chmod 755 ${RPM_BUILD_ROOT}%{_libdir64}/php/pear
mkdir -p ${RPM_BUILD_ROOT}/var/lib/php
chmod 755 ${RPM_BUILD_ROOT}/var/lib/php
mkdir -p ${RPM_BUILD_ROOT}/var/lib/php/session
chmod 700 ${RPM_BUILD_ROOT}/var/lib/php/session

# install PHP-FPM stuff
# log file and PID directory
mkdir -p ${RPM_BUILD_ROOT}/var/log/php-fpm
chmod 0755 ${RPM_BUILD_ROOT}/var/log/php-fpm
mkdir -p ${RPM_BUILD_ROOT}/var/run/php-fpm
chmod 0755 ${RPM_BUILD_ROOT}/var/run/php-fpm

# move some stuff to the right place
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php-fpm
mv ${RPM_BUILD_ROOT}%{_prefix}/php/fpm/status.html ${RPM_BUILD_ROOT}%{_datadir}/php-fpm/

# configuration
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.conf
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d/www.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d/www.conf
mv ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.conf.default .

# logrotate
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
cp %{SOURCE6} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/php-fpm
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/php-fpm

# environment file
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
chmod 0755 ${RPM_BUILD_ROOT}/etc/sysconfig
cp %{SOURCE7} ${RPM_BUILD_ROOT}/etc/sysconfig/php-fpm
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/php-fpm

# create the /etc/rc.d/init.d/ scripts and symlinks
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/php-fpm
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/php-fpm

mv ${RPM_BUILD_ROOT}%{_libdir64}/build ${RPM_BUILD_ROOT}%{_libdir64}/php/

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/rc?.d
ln -sf '../init.d/php-pfm' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Sphp-fpm
ln -sf '../init.d/php-fpm' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Kphp-fpm
ln -sf '../init.d/php-fpm' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Sphp-fpm
ln -sf '../init.d/php-fpm' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Kphp-fpm

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin include
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%preun -n mod_php_ap22_64
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# PHP settings" | \
      grep -v "Include conf/extra/httpd-php.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%post -n mod_php_ap22_64
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# PHP settings" | \
  grep -v "Include conf/extra/httpd-php.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# PHP settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/httpd-php.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n mod_php_ap22_64
%defattr(-,root,system)
%{_libdir64}/httpd/modules/libphp5.so
%attr(0770,root,apache) %dir /var/lib/php/session
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-php.conf
%{contentdir}/icons/php.gif


%files common
%defattr(-,root,system)
%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README*
%doc Zend/ZEND_*
%config(noreplace) %{_sysconfdir}/php.ini
%dir %{_sysconfdir}/php.d
%dir %{_libdir64}/php
%dir %{_libdir64}/php/modules
%dir /var/lib/php
%dir %{_libdir64}/php/pear


%files cli
%defattr(-,root,system)
%{_bindir}/php
%{_bindir}/php-cgi
%{_mandir}/man1/php.1
/usr/bin/php
/usr/bin/php-cgi


%files fpm
%doc php-fpm.conf.default
%doc sapi/fpm/LICENSE
%config(noreplace) %{_sysconfdir}/php-fpm.conf
%config(noreplace) %{_sysconfdir}/php-fpm.d/www.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/php-fpm
%config(noreplace) /etc/sysconfig/php-fpm
%{_sbindir}/php-fpm
%dir %{_sysconfdir}/php-fpm.d
# log owned by apache for log
%attr(770,apache,root) %dir /var/log/php-fpm
%dir /var/run/php-fpm
%{_mandir}/man8/php-fpm.8*
%{_datadir}/php-fpm/status.html
/usr/sbin/php-fpm
/etc/rc.d/init.d/php-fpm
/etc/rc.d/rc2.d/Sphp-fpm
/etc/rc.d/rc2.d/Kphp-fpm
/etc/rc.d/rc3.d/Sphp-fpm
/etc/rc.d/rc3.d/Kphp-fpm


%files devel
%defattr(-,root,system)
%dir %{_libdir64}/php
%{_bindir}/php-config
%{_bindir}/phpize
%{_includedir}/php
%{_libdir64}/php/build
%{_mandir}/man1/php-config.1
%{_mandir}/man1/phpize.1
/usr/bin/php-config
/usr/bin/phpize
/usr/include/*


%changelog
* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 5.5.2-1
- updated to version 5.5.2

* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 5.5.1-2
- enabled '--enable-pdo'' option

* Mon Jul 22 2013 Michael Perzl <michael@perzl.org> - 5.5.1-1
- updated to version 5.5.1

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 5.5.0-1
- updated to version 5.5.0

* Fri Jun 21 2013 Michael Perzl <michael@perzl.org> - 5.4.16-1
- updated to version 5.4.16

* Fri Jun 21 2013 Michael Perzl <michael@perzl.org> - 5.4.15-1
- rebuilt as 64-bit version and renamed to 'php_64'

* Fri May 24 2013 Michael Perzl <michael@perzl.org> - 5.4.15-1
- updated to version 5.4.15

* Mon Apr 15 2013 Michael Perzl <michael@perzl.org> - 5.4.14-1
- updated to version 5.4.14

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 5.4.13-1
- updated to version 5.4.13

* Mon Feb 25 2013 Michael Perzl <michael@perzl.org> - 5.4.12-1
- updated to version 5.4.12

* Wed Jan 23 2013 Michael Perzl <michael@perzl.org> - 5.4.11-1
- updated to version 5.4.11

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 5.4.10-1
- updated to version 5.4.10

* Tue Dec 18 2012 Michael Perzl <michael@perzl.org> - 5.4.9-2
- added PFM support
- enabled Zip read/write support
- changed OpenSSL dependency to latest version to avoid version mismatches

* Thu Dec 06 2012 Michael Perzl <michael@perzl.org> - 5.4.9-1
- added LDAP support and thus introduced a dependency on openldap
- updated to version 5.4.9

* Fri Nov 23 2012 Michael Perzl <michael@perzl.org> - 5.4.8-2
- fixed wrong dependency on libbz2.so

* Fri Nov 16 2012 Michael Perzl <michael@perzl.org> - 5.4.8-1
- updated to version 5.4.8

* Mon Sep 17 2012 Michael Perzl <michael@perzl.org> - 5.4.7-1
- updated to version 5.4.7

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.6-1
- updated to version 5.4.6

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.5-1
- updated to version 5.4.5

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.4-1
- updated to version 5.4.4

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.3-2
- restructured package to better adapt to different Apache (httpd) versions

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 5.4.3-1
- updated to version 5.4.3
- removed dependency on external GD library as PHP can only be compiled with
  the packaged (and modified) GD library

* Tue Apr 03 2012 Michael Perzl <michael@perzl.org> - 5.3.10-2
- enabled multibyte string support and mcrypt support

* Fri Feb 17 2012 Michael Perzl <michael@perzl.org> - 5.3.10-1
- updated to version 5.3.10

* Wed Aug 24 2011 Michael Perzl <michael@perzl.org> - 5.3.8-1
- updated to version 5.3.8

* Tue Aug 23 2011 Michael Perzl <michael@perzl.org> - 5.3.7-1
- updated to version 5.3.7, added patch for php_crypt_r()

* Tue Aug 23 2011 Michael Perzl <michael@perzl.org> - 5.3.6-2
- added "--enable-sockets" and "--with-mysqli=mysqlnd" to configure options

* Wed May 18 2011 Michael Perzl <michael@perzl.org> - 5.3.6-1
- updated to version 5.3.6

* Wed May 18 2011 Michael Perzl <michael@perzl.org> - 5.3.5-2
- fixed wrong dependency on bzip2-devel of php-devel (needs bzip2 only)

* Fri Jan 07 2011 Michael Perzl <michael@perzl.org> - 5.3.5-1
- updated to version 5.3.5

* Tue Dec 14 2010 Michael Perzl <michael@perzl.org> - 5.3.4-1
- updated to version 5.3.4

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 5.3.3-1
- updated to version 5.3.3

* Tue Apr 13 2010 Michael Perzl <michael@perzl.org> - 5.3.2-1
- updated to version 5.3.2

* Tue Mar 02 2010 Michael Perzl <michael@perzl.org> - 5.2.13-1
- updated to version 5.2.13

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 5.2.12-2
- enable fastcgi for the CLI version

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 5.2.12-1
- updated to version 5.2.12

* Fri Nov 27 2009 Michael Perzl <michael@perzl.org> - 5.2.11-1
- updated to version 5.2.11

* Thu Nov 26 2008 Michael Perzl <michael@perzl.org> - 5.2.8-1
- updated to version 5.2.8

* Fri May 02 2008 Michael Perzl <michael@perzl.org> - 5.2.6-1
- updated to version 5.2.6

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 5.2.5-2
- some minor spec file fixes

* Mon Dec 03 2007 Michael Perzl <michael@perzl.org> - 5.2.5-1
- first version for AIX V5.1 and higher
